/* For Developer  */
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

* {
    font-family: "Roboto", sans-serif;
}

.text-m-auto {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.text-sm {
    font-size: 14px;
}

.hide {
    display: none;
}

.input-group .btn {
    border: 1px solid #dee2e6;
    font-size: 13px;
}

.input-group .btn:active {
    border: 1px solid #eee;
}

.ab-center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.card {
    /* -webkit-box-shadow: 0 1px 2px rgba(56, 65, 74, .15);
  box-shadow: 0 1px 2px rgba(56, 65, 74, .15); */
    border: #e2e2e4 1px solid;
}
.switch_customer:disabled {
    opacity: 0.5 !important;
}
.btn_green:active {
    background: #16c7af !important;
    color: #fff !important;
}
.card .card-header {
}

.card .card-header-primary {
    background-color: #5f92b1;
    color: #ffffff;
    font-weight: 500;
    text-transform: capitalize;
    letter-spacing: -0.5px;
}
.font-size-11 {
    font-size: 11px;
}
.bg-001a8d {
    background-color: #001a8d;
}
.checkbox_permission {
    /* change default input is hidden */
    appearance: none;
    border-radius: 0;
    /* margin-left: 10px; */
    width: 17px;
    height: 17px;
    border: 1px solid #33333338 !important;
    background: #dadada38 !important;
    padding: 2px;
}
.checkbox_permission::before {
    display: block;
    content: "";
    width: 10px;
    height: 10px;
    transition: 120ms transform ease-in-out;
    box-shadow: inset 10px 10px #1a2b58;
    transform-origin: bottom left;
    clip-path: polygon(12% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
    transform: scale(0);
}
input[type="checkbox"].checkbox_permission:checked::before {
    transform: scale(1);
}
div.header_content {
    padding: 10px 0;
}
.custom-header-modal {
    display: flex;
    justify-content: space-between;
    padding: 5px 10px;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    background-color: #425d6d;
}
.custom-header-modal h5 {
    color: white;
    font-size: 15px;
}
.custom-header-modal i {
    font-size: 20px !important;
    color: white;
}
img.ic_payment {
    width: 120px;
}

.title_ic_payment {
    font-weight: bold;
    font-size: large;
    color: #103c80;
}

.had_generate_qr {
    position: absolute;
    left: 10px;
    top: -80px;
    z-index: 999;
    background-color: rgba(255, 60, 0, 0.658) !important;
    color: white;
    min-width: 250px;
}
.label-title {
    color: gray !important;
    font-weight: 400 !important;
    font-size: 13px !important;
}
.w-20 {
    width: 20%;
}
.w-40 {
    width: 40% !important;
}

.w-60 {
    width: 60% !important;
}

.w-80 {
    width: 80%;
}
.report-body .nav-detail {
    background: transparent;
    border-bottom: 2px solid #c7c7c7 !important;
}

.report-body .nav-tabs .nav-link {
    font-weight: bold;
    color: black;
    text-transform: uppercase;
    font-size: 15px;
}

.report-body .nav-tabs .nav-link.active {
    border-bottom: 3px solid #0263e0 !important;
    color: #0263e0 !important;
}

.report-body .nav-tabs .nav-link {
    background: white !important;
    border: 0;
}
.payment_method.active {
    background: #e8f392;
    border: 1px solid #d8e762;
}

div.menu_center_content a {
    font-size: 14px;
    font-weight: 500;
    padding: 0 12px;
}

.sidebar li i {
    font-size: 18px;
}

div.content_midd {
    position: relative;
    background-color: #fff;
    border: #e2e2e4 1px solid;
    border-radius: 4px;
}
div.content_midd th,
td {
    vertical-align: middle;
    border-bottom: 1px solid #e9ebec;
}
table.table-list-warehouse {
    border: #e2e2e4 0px solid;
}

div.content_midd_title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}
div.content_midd_title h4 {
    margin: 0;
    font-size: 18px;
    /*  text-transform: capitalize!important;*/
}

div.content_midd div.list {
    /*  border: #e2e2e4 1px solid;*/
}
div.content_midd_print {
    position: relative;
}
div.content_midd_print div.list {
    overflow: auto;
    background: #fff !important;
    border: #dee2e6 1px solid !important;
    border-top: 0px solid #fff !important;
}
div.content_midd_print div.list table {
    border: #fff 0px solid !important;
}

div.content_midd .form_pagi {
    height: 40px;
}

div.content_midd .form_pagi .page-item {
    margin: 0 2px;
    min-width: 32px;
    text-align: center;
}

div.content_midd .form_pagi .page-link {
    border-radius: 4px;
    color: #486a7f;
}

div.content_midd .form_pagi .page-item.active .page-link {
    background-color: #486a7f;
    border-color: #486a7f;
    color: #fff;
}

div.content_midd .item-per-page {
    position: absolute;
    width: auto;
    bottom: 5px;
    left: 5px;
}
.dropdown-blue {
    background-color: #3598dc !important;
    border-color: #3598dc !important;
    color: #fff !important;
    font-size: 14px !important;
}
a.dropdown-blue:hover {
    background-color: #63abdb !important;
}
.menu_language {
    margin-bottom: -5px;
}

.dropup-language .dropbtn {
    padding: 0;
    width: auto;
    border: 1px solid #ccc;
}

.dropup-language .dropbtn img {
    /* margin: 1px; */
}

.dropup-content {
    z-index: 10000;
}

.dropup-language .dropup-content {
    min-width: unset;
    right: -2px;
    top: calc(100% + 10px);
    border-radius: 0;
    padding: 4px;
    border-radius: 4px;
    border: 1px solid #e1e1e1;
    box-shadow: 0px 1px 7px 2px #00000040;
}

.menu_child_right .dropup-content {
    background-color: transparent;
    padding: 0;
    border: none;
}

.menu_child_right .dropup-content .list_filter {
    background-color: #fff;
    margin-top: 10px;
    border: #d7d7d7 1px solid;
    border-radius: 6px;
    padding: 10px;
}

#languageBtn {
    background: transparent !important;
}

div.select_file {
    background-color: transparent;
}

.dropup-language .dropup-content::before {
    content: "";
    display: block;
    position: absolute;
    top: -10px;
    background-image: url(../images/arrow_menu_language.png);
    background-size: 14px 10px;
    background-repeat: no-repeat;
    width: 13px;
    height: 10px;
    left: 13px;
}

.dropup-language .dropup-content .list_locale {
    margin: 1px 0;
    border: 1px solid rgb(223, 223, 223);
}

.dropup-language .dropup-content a {
    line-height: inherit;
}

.dropup-language ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

.scroll-modal {
    max-height: calc(100vh - 200px);
    overflow-y: auto;
}

.button-added {
    background-color: #ccc;
    color: rgb(255, 255, 255) !important;
    pointer-events: none;
}

.rotate-90 a.btdecen i {
    transform: rotate(90deg);
    transition: 0.3s;
}

.member-img {
    width: 16px;
    height: 16px;
    border-radius: 100%;
}

.userDropdown ul.show {
    display: block !important;
}

.userDropdown ul li {
    cursor: pointer;
}

a#userDrop {
    color: black !important;
    background-color: transparent !important;
}

.userDropdown a.dropdown-item {
    color: black !important;
    font-size: 14px !important;
}

.action .profile {
    cursor: pointer;
    color: #fff;
    background-color: rgba(255, 255, 255, 0.1);
    padding: 6px;
    border-radius: 30px;
    gap: 5px;
}

.action .profile i {
    vertical-align: middle;
    margin-left: 5px;
}

.action .profile img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.action .menu {
    z-index: 10000;
    position: absolute;
    top: 120px;
    right: 46px;
    /* padding:10px 20px; */
    background: #fff;
    width: fit-content;
    box-sizing: 0 5px 25px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    transition: 0.3s;
    visibility: hidden;
    opacity: 0;
    border: 1px solid rgba(128, 128, 128, 0.274);
    box-shadow: 2px 2px 7px 2px rgba(0, 0, 0, 0.281);
}

.action .menu.active {
    top: 65px;
    visibility: visible;
    opacity: 1;
}

.action .menu::before {
    content: "";
    position: absolute;
    top: -5px;
    right: 28px;
    width: 20px;
    height: 20px;
    background: #fff;
    transform: rotate(45deg);
    z-index: 99;
}

.action .menu h3 {
    width: 100%;
    text-align: center;
    font-size: 18px;
    padding: 20px 0;
    font-size: 18px;
    color: #555;
    line-height: 1.2em;
}

.action .menu h3 span {
    font-size: 14px;
    color: #cecece;
}

.action .menu ul {
    padding: 2px 10px;
    margin: 0;
}

.action .menu ul li {
    list-style: none;
    padding: 7px 0;
    display: flex;
    align-items: center;
    color: black;
    cursor: pointer;
    width: 100%;
}

.menu-wrapper-container > .row {
    flex-direction: column;
}

.border-warning-inventory,
.border-warning-inventory:focus {
    border: 1px solid rgb(232 65 65);
    box-shadow: 0 0 0 0.25rem rgb(255 0 0 / 41%);
}

.table-inventory table th {
    min-width: 70px;
}

.action .menu ul li a {
    z-index: 100;
}

.dropup button {
    background-color: transparent !important;
}

.action .menu ul li i {
    font-size: 20px;
    width: 23px;
    margin-right: 10px;
    opacity: 0.6;
    transition: 0.3s;
    color: black;
}

.action .menu ul li:hover i {
    opacity: 1;
}

.action .menu ul li:hover a {
    color: #f39320;
}

.action .menu ul li a {
    display: inline-block;
    text-decoration: none;
    color: #555;
    transition: 0.3s;
}

div.ass_top_center {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

#EdtFromCate .modal-dialog,
#CrtAsset .modal-dialog {
    width: 100%;
    max-width: 90%;
}

.textclose ul.btn-toggle-nav {
    display: none;
}

.btn_8cdb80 {
    background-color: #8cdb80;
}

.btn_38955c {
    background-color: #38955c;
}

.show_pw {
    position: absolute;
    right: 12px;
    top: 9px;
}

.d-flex-center {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
}

.custom-img {
    height: 100%;
    width: auto !important;
}

.z-index-10000 {
    z-index: 10000;
}

.block-action {
    --bs-backdrop-zindex: 1050;
    --bs-backdrop-opacity: 0.5;
    position: fixed;
    z-index: 100000000;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: var(--bs-backdrop-bg);
    cursor: wait;
}

.erro_report {
    overflow-x: hidden;
    overflow-y: auto;
    max-height: 500px;
}

/* .search_content .dropup-content {
  left: 0px !important;
  top: calc(100% + 5px) !important;
} */

.search_content {
    justify-content: left !important;
    flex-wrap: wrap;
}

.search_content > .search_title {
    width: 100%;
}

.search_content .dropup-content {
    border: 0;
    background-color: transparent;
    padding: 0;
}

.search_content .dropup-content .list_filter {
    border: #d7d7d7 1px solid;
    background-color: #fff;
    padding: 10px;
    margin-top: 5px;
    border-radius: 6px;
}

.daterangepicker .calendar-table th,
.daterangepicker .calendar-table td {
    background-color: #fff;
    padding: 6px 8px;
}

.total-item {
    position: absolute;
    width: auto;
    bottom: 5px;
    left: 115px;
}

.content_dashboard {
    padding: 10px;
}

.head_dashboard {
    display: flex;
}

.head_dashboard h2 {
    font-size: 20px;
    margin: 0;
    color: #1a2b58;
    margin: auto 0;
    margin-right: 5%;
}

.head_dashboard form {
    height: fit-content;
    margin: auto 0;
}

.head_dashboard .dateS {
    margin: 0;
}

.body_dashboard .left_content,
.body_dashboard .right_content {
    border-radius: 5px;
    border: #d9d9d9 1px solid;
    padding: 0;
}

.title-body-dashboard,
.chart-dashboard {
    border-bottom: #d9d9d9 1px solid;
}

.title-body-dashboard h3 {
    font-size: 17px;
    color: #1a2b58;
    margin: 0;
}

.title-body-dashboard p,
.title-body-dashboard span {
    font-size: 14px;
    font-weight: 450;
}

.content_dashboard .chart-legend {
    width: fit-content;
    min-width: 50%;
    height: 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.content_dashboard .legend-item {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}

.content_dashboard .legend-color {
    width: 15px;
    height: 15px;
    display: inline-block;
    margin-right: 10px;
}

.content_dashboard .legend-label {
    font-size: 14px;
}

.content_dashboard canvas {
    max-width: 300px;
    max-height: 300px;
}

.w-10 {
    width: 10%;
}

.w-30 {
    width: 30%;
}

.w-60 {
    width: 60%;
}

.content_dashboard table {
    border: transparent;
}

.content_dashboard table thead {
    border-bottom: #d9d9d9 1px solid;
}

.content_dashboard .text-start {
    padding-left: 20px;
}

.content_dashboard th,
.content_dashboard td {
    color: #1a2b58;
}

td.action i.fa-eye {
    color: #b1b1b1;
}

.btn_gray {
    background-color: #9aa3ba;
    transition: 0.2s;
    max-width: 176.5px;
    height: 63px;
    /* border-radius: 10px; */
}

.btn_close {
    color: #ffffff;
    border-radius: 100%;
    background-color: #808080;
    border: 1px solid #808080;
}

.btn_danger {
    background-color: #ff0000;
    transition: 0.2s;
    max-width: 176.5px;
    height: 63px;
    /* border-radius: 10px; */
}

.btn_warning {
    background-color: #f29220;
    transition: 0.2s;
    max-width: 176.5px;
    height: 63px;
    /* border-radius: 10px; */
}

.btn_primary {
    background-color: #1b2c58;
    transition: 0.2s;
    max-width: 176.5px;
    height: 33px;
    color: #fff;
    /* border-radius: 10px; */
}

.btn_gray:hover {
    background-color: #adb0bb;
}

.btn_green:hover {
    background: #55bf43;
    color: #fff !important;
}

.btn_red {
    background-color: #ff0000;
    transition: 0.2s;
    max-width: 176.5px;
    height: 63px;
    /* border-radius:10px; */
}
.btn_yellow {
    background-color: #ffcd00;
    transition: 0.2s;
    max-width: 176.5px;
    height: 63px;
    /* border-radius:10px; */
}

.btn_green {
    background: #07b29b;
}

.btn_green:hover {
    background: #16c7af;
    color: #fff !important;
}

.btn_green_line {
    background: #fff;
    color: #8cdb80 !important;
    border: #8cdb80 1px solid;
    transition: 0.2s;
}

.btn_green_line:hover {
    background: #fff;
    border: #50bb40 1px solid;
    color: #50bb40 !important;
}

.select_file a {
    background: #fff;
    color: #135ecfa9 !important;
    border: #135ecf 1px solid;
    transition: 0.2s;
}

.select_file:hover * {
    background: #fff;
    color: #103c80 !important;
    border: #103c80 1px solid;
}

#deleteItem {
    background-color: #00000073;
}

#deleteItem .modal-content {
    min-width: 300px;
}

.select-width {
    width: fit-content;
}

p.empty_data_letter {
    font-size: 15px;
    font-weight: 500;
    text-align: center;
    color: #979695;
}

/* label */
.list-select-labels .form-check {
    margin-bottom: 10px;
}

.list-select-labels .form-check .form-check-input {
    zoom: 1.3;
}

.list-select-labels .form-check .form-check-label {
    background-color: #f1f1f1;
    padding: 5px 10px;
    border-radius: 4px;
    min-width: 50%;
}

/* upload files */
.file-preview-item {
    margin-top: 8px;
    margin-left: 2px;
}

.file-preview .file-preview-item:first-child {
    margin-top: 14px;
}

.file-preview-item .file-remove {
    cursor: pointer;
    margin-right: 5px;
    color: #db1515;
    font-size: 18px;
}

.file-preview-item .file-name {
    color: gray;
}

/* select2 */
.select2-dropdown {
    z-index: 10000 !important;
}

.select2-container input:focus {
    outline: none;
}

.select2-container .select2-selection--single {
    height: 33.28px;
}

.select2-container--default .select2-selection--single {
    border: 1px solid #dee2e6;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    line-height: 33.28px;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__arrow {
    height: 33.28px;
}

.select2-dropdown {
    border: 1px solid #dee2e6;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    border: 1px solid #dee2e6;
}

.select2-container--default .select2-selection--multiple {
    border: 1px solid #dee2e6;
}

.select2-container--default.select2-container--focus
    .select2-selection--multiple {
    border: 1px solid #dee2e6;
}

.select_form_all {
    background-image: url(../images/ic_arrow_down_white.png);
    background-size: 10px 10px;
    min-width: 80px;
    padding-right: 25px;
    border-color: transparent;
    cursor: pointer;
}

select,
option {
    font-size: 13px !important;
}

.bt {
    white-space: nowrap;
}

textarea {
    resize: none;
}

.menu-filter-eoffice:hover .dropup-content-filter {
    display: block;
}

.menu-filter-eoffice {
    position: relative;
}

.dropup-content-filter {
    display: none;
    position: absolute;
    border-radius: 6px;
    min-width: 120px;
    top: 100%;
    z-index: 1;
    left: 0;
    background-color: transparent;
    padding: 0;
    border: none;
}

.dropup-content-filter .list_filter {
    background-color: #fff;
    margin-top: 10px;
    border: #d7d7d7 1px solid;
    border-radius: 6px;
    padding: 10px;
}

.dropup-content-filter * {
    font-size: 13px !important;
}

.form-date {
    min-width: 150px;
}

.custom-row-note {
    max-width: 150px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.header_search {
    color: #212529 !important;
    font-weight: 500 !important;
    background-color: #d3daeb !important;
}

.title_search {
    font-size: 13px;
    color: #1a2b58 !important;
    font-weight: 500 !important;
}

.bg-C3C3C3B2 {
    background: #d3daeb;
    color: #212529;
    border-bottom: #c4c9d7 1px solid;
}
.border-bottom {
    border-bottom: #f5f5f9 1px solid !important;
}
.border-bottom:last-child {
    border-bottom: #f5f5f9 0px solid !important;
}
.disabled-div {
    pointer-events: none;
    opacity: 0.5;
    /* background-color: #f2f2f2; */
    color: #999;
    /* cursor: not-allowed; */
}
input:disabled,
select:disabled,
.select2-container--default.select2-container--disabled
    .select2-selection--single,
.select2-container--default.select2-container--disabled
    .select2-selection--multiple {
    background-color: var(--bs-secondary-bg) !important;
    opacity: 1 !important;
}
input:disabled,
select:disabled,
.select2-container--default.select2-container--disabled
    .select2-selection--single
    .select2-selection__rendered,
.select2-container--default.select2-container--disabled
    .select2-selection--multiple
    .select2-selection__rendered {
    color: #999 !important;
}
.form-check-input:disabled {
    pointer-events: none;
    filter: none;
    background-color: #0262e065 !important;
    border: none !important;
}
.nav-detail {
    padding: 5px 0px 0px 5px;
    background-color: #486a7f;
    gap: 5px;
}

.nav-detail button {
    color: white;
    border-radius: unset !important;
}

.nav-detail button:hover {
    color: #000 !important;
    background-color: #fff;
}
.disabled-div {
    pointer-events: none;
    opacity: 0.5;
}
.div-warning-ab {
    position: absolute;
    top: 55%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: fit-content;
    background: #f7ca5f;
    padding: 1em;
    border-radius: 0.5em;
    z-index: 9999;
    max-width: 90%;
}
.div-warning-ab h6 {
    font-size: 1.2em;
}
.dropdown-content {
    z-index: 10000;
    border-radius: 0;
}
.content-unread {
    cursor: pointer;
}
.prevent-select {
    -webkit-user-select: none;
    /* Safari */
    -ms-user-select: none;
    /* IE 10 and IE 11 */
    user-select: none;
    /* Standard syntax */
    pointer-events: none;
}

.pointer-events-none {
    pointer-events: none;
}

#noti_content {
    height: 50vh;
    overflow-y: scroll;
}
#form_btn {
    min-height: 30px;
    border-top: 1px solid rgba(128, 128, 128, 0.301);
    padding: 6px;
}
#form_btn i {
    transition: 0.2s;
    font-size: 14px !important;
}
#form_btn p {
    transition: 0.2s;
    font-size: 13px !important;
}
#form_btn button {
    background-color: transparent;
    transition: 0.3s;
}
#form_btn button:hover p {
    color: #f3931f !important;
}
.text-destroy {
    text-decoration: none;
    color: red;
}

.text-destroy:hover {
    text-decoration: underline;
}

.text-note {
    max-width: 300px;
    white-space: normal;
}
.item-min-width {
    display: none;
}

.header-nav .nav-item .nav-link:hover,
.header-nav .nav-item .nav-link.active {
    color: #f39320 !important;
}

.header-nav .nav-item .dropdown-nav-link.active {
    color: #f39320 !important;
    background-color: #f1f1f1 !important;
}
.header-nav .nav-item .dropdown-item.active,
.header-nav .nav-item .dropdown-item:active {
    background-color: #f1f1f1 !important;
    color: #f39320 !important;
}

.item-min-width {
    position: relative;
    right: 10px;
}

/* .item-min-width::after {
  content: "";
  background-image: url(../images/cog_login.png);
  position: absolute;
  width: 100%;
  height: 100%;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
} */

.menu-functions {
    top: 100% !important;
    right: 0;
    background-color: transparent;
    box-shadow: none;
    left: auto !important;
}

.menu-functions::before {
    content: "";
    display: block;
    position: absolute;
    top: 0px;
    background-image: url(../images/arrow_menu_language.png);
    background-size: 14px 10px;
    background-repeat: no-repeat;
    width: 13px;
    height: 10px;
    left: 60%;
}

#extraFeeModal .modal-body {
    padding: 0 !important;
}

.abcd-container {
    width: 100%;
}

.abcd-container .select2.select2-container {
    flex-grow: 1;
    min-width: 0;
}

@media screen and (max-width: 2000px) {
    .header-nav .nav-item .nav-link {
        padding: 9px !important;
    }
}
@media screen and (max-width: 1700px) {
    .header-nav .nav-item .nav-link {
        font-size: 13px !important;
    }
}
@media screen and (max-width: 1500px) {
    /* .item-min-width{
    display: block;
 } */
    /* .item-pc{
  display: none;
 } */
    .parent-functions {
        padding: 5px;
    }
    .header-nav .nav-item .functions {
        border-radius: 3px;
        padding: 2px 9px !important;
        background: white;
        color: #103c80 !important;
        font-weight: bold;
        width: 123px;
        font-size: 12px !important;
    }

    .header-nav .nav-item .functions:hover,
    .header-nav .nav-item .functions.show {
        color: #f39320 !important;
    }
    .functions-ul {
        background: white;
        border-radius: 3px;
        font-weight: bold;
        padding: 2px 0 !important;
    }
    .functions-ul li {
        list-style-type: none;
        padding: 2px 0 !important;
    }
    .header-nav .functions-ul li a.nav-link {
        color: #103c80 !important;
        text-transform: uppercase;
        padding: 5px 3px !important;
    }
    .header-nav .functions-ul li a.nav-link:hover {
        color: #f39320 !important;
        background-color: rgb(245, 232, 208);
    }
}
@media screen and (max-width: 1200px) {
    .header-nav .nav-item .nav-link {
        padding: 9px 9px !important;
    }
    .header-nav .nav-item .functions {
        padding: 2px 9px !important;
    }
    .header-nav .nav-item .nav-link {
        font-size: 12px !important;
    }
}

@media screen and (max-width: 991px) {
    .item-pc,
    div.content_midd_title h4 {
        display: none;
    }
    .item-min-width {
        display: block;
    }
    div.content_midd_title {
        padding-inline: 0px;
    }
    div.content_midd_title h4 {
        font-size: 16px;
        text-align: left;
    }
    div.content_midd_title div.searchContainer {
        width: 100%;
    }
}

@media screen and (min-width: 768px) {
    .scroll-container::-webkit-scrollbar {
        width: 5px;
        height: 5px;
    }

    .scroll-container::-webkit-scrollbar-thumb {
        background: #426280;
        border-radius: 10px;
    }
}

@media screen and (max-width: 768px) {
    .open_full_screen {
        display: none !important;
    }
    #toast-container {
        width: 70vw;
    }
    #toast-container div.toast {
        width: 100%;
    }
}

/* package page css */
.card.package {
    border: 0;
    position: relative;
    overflow: hidden;
}
.card.package .package-name {
    padding: 10px 0;
    border-radius: 4px;
    font-size: 18px;
    font-weight: 600;
    text-align: center;
    text-transform: uppercase;
    display: block;
    margin: 10px auto;
}
.card.package .package-price {
    font-size: 22px;
    font-weight: 600;
    display: block;
    text-align: center;
    padding: 8px 0;
    font-style: italic;
}
.card.package .package-note {
    padding: 10px 20px;
    text-align: center;
    height: 50px;
    overflow: hidden;
}
.card.package .package-description {
    line-height: 24px;
    font-size: 14px;
    margin-top: 5px;
    height: 240px;
    overflow: auto;
}
.card.package .buy-package {
    color: #fff;
    font-size: 18px;
    text-transform: uppercase;
    padding: 10px 0 !important;
}
/* package custom color */
.card.package.package-gray {
    background: linear-gradient(
        141.63deg,
        rgba(255, 255, 255, 0.5) 75.73%,
        rgba(153, 153, 153, 0.3) 99.55%
    );
}
.card.package.package-gray .package-name {
    background: linear-gradient(
        91.72deg,
        rgba(166, 157, 157, 0.15) 14.07%,
        rgba(255, 255, 255, 0) 56.86%
    );
}
.card.package.package-gray .package-price {
    color: rgba(133, 127, 127, 1);
}
.card.package.package-gray .buy-package {
    background: rgba(102, 102, 102, 1);
}
.card.package.package-blue {
    background: linear-gradient(
        145.8deg,
        rgba(255, 255, 255, 0.5) 68%,
        rgba(61, 150, 255, 0.5) 102.97%
    );
}
.card.package.package-blue .package-name {
    background: linear-gradient(
        89.88deg,
        rgba(1, 87, 188, 0.15) 51.87%,
        rgba(255, 255, 255, 0) 111.3%
    );
}
.card.package.package-blue .package-price {
    color: rgba(42, 128, 228, 1);
}
.card.package.package-blue .buy-package {
    background: rgba(42, 128, 228, 1);
}
.card.package.package-yellow {
    background: linear-gradient(
        141.24deg,
        rgba(255, 255, 255, 0.5) 66.21%,
        rgba(243, 147, 32, 0.4) 99.87%
    );
}
.card.package.package-yellow .package-name {
    background: linear-gradient(
        91.25deg,
        rgba(243, 147, 32, 0.15) 52.9%,
        rgba(255, 255, 255, 0) 86.74%
    );
}
.card.package.package-yellow .package-price {
    color: rgba(243, 147, 32, 1);
}
.card.package.package-yellow .buy-package {
    background: rgba(243, 147, 32, 1);
}
.bd-blue {
    border: 2px solid rgba(42, 128, 228, 0.7) !important;
    box-shadow: 0px 4px 8px 1px rgba(42, 128, 228, 0.7);
    -webkit-box-shadow: 0px 4px 8px 1px rgba(42, 128, 228, 0.7);
    -moz-box-shadow: 0px 4px 8px 1px rgba(42, 128, 228, 0.7);
}
.ribbon {
    width: 120px;
    background: #66b3ff;
    position: absolute;
    top: 10px;
    right: -35px;
    text-align: center;
    transform: rotate(45deg);
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
}

.ribbon span {
    color: white;
    font-weight: bold;
    font-size: 12px;
    display: block;
    padding: 5px 0;
    text-transform: uppercase;
}

.package-description::-webkit-scrollbar {
    width: 7px;
}

/* Track */
.package-description::-webkit-scrollbar-track {
    background: transparent;
}

/* Handle */
.package-description::-webkit-scrollbar-thumb {
    background: rgba(165, 165, 165, 0.8);
}

/* handling hover style */
.btn_danger:hover,
.btn_warning:hover,
.btn_primary:hover {
    opacity: 80%;
}

/* custom input file */
.custom-file-wrapper {
    display: flex;
    align-items: center;
    border: 1px solid #ced4da;
    border-radius: 6px;
    background-color: #fff;
    width: 100%;
    max-width: 550px;
    height: 30px;
    font-size: 13px;
}

#custom-button {
    background-color: #f5f5f5;
    border: none;
    padding: 7px 12px;
    margin-right: 8px;
    border-right: 1px solid #ccc;
    height: 100%;
    cursor: pointer;
    white-space: nowrap;
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
}

#file-name {
    color: #6c757d;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    flex: 1;
}

.child-page-item-container .page-item {
    list-style-type: none;
}
.custom-badge {
    padding: 2px 5px;
    border-radius: 5px;
    background-color: gainsboro;
    color: gray;
    border-top-right-radius: 15px;
    border-bottom-right-radius: 0;
    border-top-left-radius: 0;
    font-weight: bold;
    font-size: 12px;
    width: 64px;
    text-align: center;
    opacity: 1;
}
.badge-tag-color-new {
    color: #117b34;
    background-color: #eefdf3;
}
.badge-tag-color-best-seller {
    color: #de3b40;
    background-color: #fdf2f2;
}
.custome-badge-relative {
    position: absolute;
    right: 0;
}
